<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:03 CEST 2014 -->
<title>SimpleCharStream</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SimpleCharStream";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SimpleCharStream.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" target="_top">Frames</a></li>
<li><a href="SimpleCharStream.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.dpp</div>
<h2 title="Class SimpleCharStream" class="title">Class SimpleCharStream</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.dpp.SimpleCharStream</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">SimpleCharStream</span>
extends java.lang.Object</pre>
<div class="block">An implementation of interface CharStream, where the stream is assumed to
 contain only ASCII characters (without unicode processing).</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#available">available</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected char[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#buffer">buffer</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#bufpos">bufpos</a></strong></code>
<div class="block">Position in buffer.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#bufsize">bufsize</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#inBuf">inBuf</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.io.Reader</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#inputStream">inputStream</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#maxNextCharInd">maxNextCharInd</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#staticFlag">staticFlag</a></strong></code>
<div class="block">Whether parser is static.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#tabSize">tabSize</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#tokenBegin">tokenBegin</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#trackLineColumn">trackLineColumn</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#SimpleCharStream(java.io.InputStream)">SimpleCharStream</a></strong>(java.io.InputStream&nbsp;dstream)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#SimpleCharStream(java.io.InputStream,%20int,%20int)">SimpleCharStream</a></strong>(java.io.InputStream&nbsp;dstream,
                int&nbsp;startline,
                int&nbsp;startcolumn)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#SimpleCharStream(java.io.InputStream,%20int,%20int,%20int)">SimpleCharStream</a></strong>(java.io.InputStream&nbsp;dstream,
                int&nbsp;startline,
                int&nbsp;startcolumn,
                int&nbsp;buffersize)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#SimpleCharStream(java.io.InputStream,%20java.lang.String)">SimpleCharStream</a></strong>(java.io.InputStream&nbsp;dstream,
                java.lang.String&nbsp;encoding)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#SimpleCharStream(java.io.InputStream,%20java.lang.String,%20int,%20int)">SimpleCharStream</a></strong>(java.io.InputStream&nbsp;dstream,
                java.lang.String&nbsp;encoding,
                int&nbsp;startline,
                int&nbsp;startcolumn)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#SimpleCharStream(java.io.InputStream,%20java.lang.String,%20int,%20int,%20int)">SimpleCharStream</a></strong>(java.io.InputStream&nbsp;dstream,
                java.lang.String&nbsp;encoding,
                int&nbsp;startline,
                int&nbsp;startcolumn,
                int&nbsp;buffersize)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#SimpleCharStream(java.io.Reader)">SimpleCharStream</a></strong>(java.io.Reader&nbsp;dstream)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#SimpleCharStream(java.io.Reader,%20int,%20int)">SimpleCharStream</a></strong>(java.io.Reader&nbsp;dstream,
                int&nbsp;startline,
                int&nbsp;startcolumn)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#SimpleCharStream(java.io.Reader,%20int,%20int,%20int)">SimpleCharStream</a></strong>(java.io.Reader&nbsp;dstream,
                int&nbsp;startline,
                int&nbsp;startcolumn,
                int&nbsp;buffersize)</code>
<div class="block">Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#backup(int)">backup</a></strong>(int&nbsp;amount)</code>
<div class="block">Backup a number of characters.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>char</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#BeginToken()">BeginToken</a></strong>()</code>
<div class="block">Start.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#Done()">Done</a></strong>()</code>
<div class="block">Reset buffer when finished.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#ExpandBuff(boolean)">ExpandBuff</a></strong>(boolean&nbsp;wrapAround)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#FillBuff()">FillBuff</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#getBeginColumn()">getBeginColumn</a></strong>()</code>
<div class="block">Get token beginning column number.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#getBeginLine()">getBeginLine</a></strong>()</code>
<div class="block">Get token beginning line number.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#getColumn()">getColumn</a></strong>()</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#getEndColumn()">getEndColumn</a></strong>()</code>
<div class="block">Get token end column number.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#getEndLine()">getEndLine</a></strong>()</code>
<div class="block">Get token end line number.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#GetImage()">GetImage</a></strong>()</code>
<div class="block">Get token literal value.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#getLine()">getLine</a></strong>()</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>char[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#GetSuffix(int)">GetSuffix</a></strong>(int&nbsp;len)</code>
<div class="block">Get the suffix.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#getTabSize()">getTabSize</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>char</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#readChar()">readChar</a></strong>()</code>
<div class="block">Read a character.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#ReInit(java.io.InputStream)">ReInit</a></strong>(java.io.InputStream&nbsp;dstream)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#ReInit(java.io.InputStream,%20int,%20int)">ReInit</a></strong>(java.io.InputStream&nbsp;dstream,
      int&nbsp;startline,
      int&nbsp;startcolumn)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#ReInit(java.io.InputStream,%20int,%20int,%20int)">ReInit</a></strong>(java.io.InputStream&nbsp;dstream,
      int&nbsp;startline,
      int&nbsp;startcolumn,
      int&nbsp;buffersize)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#ReInit(java.io.InputStream,%20java.lang.String)">ReInit</a></strong>(java.io.InputStream&nbsp;dstream,
      java.lang.String&nbsp;encoding)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#ReInit(java.io.InputStream,%20java.lang.String,%20int,%20int)">ReInit</a></strong>(java.io.InputStream&nbsp;dstream,
      java.lang.String&nbsp;encoding,
      int&nbsp;startline,
      int&nbsp;startcolumn)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#ReInit(java.io.InputStream,%20java.lang.String,%20int,%20int,%20int)">ReInit</a></strong>(java.io.InputStream&nbsp;dstream,
      java.lang.String&nbsp;encoding,
      int&nbsp;startline,
      int&nbsp;startcolumn,
      int&nbsp;buffersize)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#ReInit(java.io.Reader)">ReInit</a></strong>(java.io.Reader&nbsp;dstream)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#ReInit(java.io.Reader,%20int,%20int)">ReInit</a></strong>(java.io.Reader&nbsp;dstream,
      int&nbsp;startline,
      int&nbsp;startcolumn)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#ReInit(java.io.Reader,%20int,%20int,%20int)">ReInit</a></strong>(java.io.Reader&nbsp;dstream,
      int&nbsp;startline,
      int&nbsp;startcolumn,
      int&nbsp;buffersize)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html#setTabSize(int)">setTabSize</a></strong>(int&nbsp;i)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="staticFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>staticFlag</h4>
<pre>public static final&nbsp;boolean staticFlag</pre>
<div class="block">Whether parser is static.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.SimpleCharStream.staticFlag">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="bufsize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bufsize</h4>
<pre>int bufsize</pre>
</li>
</ul>
<a name="available">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>available</h4>
<pre>int available</pre>
</li>
</ul>
<a name="tokenBegin">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tokenBegin</h4>
<pre>int tokenBegin</pre>
</li>
</ul>
<a name="bufpos">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bufpos</h4>
<pre>public&nbsp;int bufpos</pre>
<div class="block">Position in buffer.</div>
</li>
</ul>
<a name="inputStream">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inputStream</h4>
<pre>protected&nbsp;java.io.Reader inputStream</pre>
</li>
</ul>
<a name="buffer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buffer</h4>
<pre>protected&nbsp;char[] buffer</pre>
</li>
</ul>
<a name="maxNextCharInd">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxNextCharInd</h4>
<pre>protected&nbsp;int maxNextCharInd</pre>
</li>
</ul>
<a name="inBuf">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inBuf</h4>
<pre>protected&nbsp;int inBuf</pre>
</li>
</ul>
<a name="tabSize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tabSize</h4>
<pre>protected&nbsp;int tabSize</pre>
</li>
</ul>
<a name="trackLineColumn">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>trackLineColumn</h4>
<pre>protected&nbsp;boolean trackLineColumn</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SimpleCharStream(java.io.Reader, int, int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(java.io.Reader&nbsp;dstream,
                int&nbsp;startline,
                int&nbsp;startcolumn,
                int&nbsp;buffersize)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
<a name="SimpleCharStream(java.io.Reader, int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(java.io.Reader&nbsp;dstream,
                int&nbsp;startline,
                int&nbsp;startcolumn)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
<a name="SimpleCharStream(java.io.Reader)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(java.io.Reader&nbsp;dstream)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
<a name="SimpleCharStream(java.io.InputStream, java.lang.String, int, int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(java.io.InputStream&nbsp;dstream,
                java.lang.String&nbsp;encoding,
                int&nbsp;startline,
                int&nbsp;startcolumn,
                int&nbsp;buffersize)
                 throws java.io.UnsupportedEncodingException</pre>
<div class="block">Constructor.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.UnsupportedEncodingException</code></dd></dl>
</li>
</ul>
<a name="SimpleCharStream(java.io.InputStream, int, int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(java.io.InputStream&nbsp;dstream,
                int&nbsp;startline,
                int&nbsp;startcolumn,
                int&nbsp;buffersize)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
<a name="SimpleCharStream(java.io.InputStream, java.lang.String, int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(java.io.InputStream&nbsp;dstream,
                java.lang.String&nbsp;encoding,
                int&nbsp;startline,
                int&nbsp;startcolumn)
                 throws java.io.UnsupportedEncodingException</pre>
<div class="block">Constructor.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.UnsupportedEncodingException</code></dd></dl>
</li>
</ul>
<a name="SimpleCharStream(java.io.InputStream, int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(java.io.InputStream&nbsp;dstream,
                int&nbsp;startline,
                int&nbsp;startcolumn)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
<a name="SimpleCharStream(java.io.InputStream, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(java.io.InputStream&nbsp;dstream,
                java.lang.String&nbsp;encoding)
                 throws java.io.UnsupportedEncodingException</pre>
<div class="block">Constructor.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.UnsupportedEncodingException</code></dd></dl>
</li>
</ul>
<a name="SimpleCharStream(java.io.InputStream)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(java.io.InputStream&nbsp;dstream)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setTabSize(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTabSize</h4>
<pre>public&nbsp;void&nbsp;setTabSize(int&nbsp;i)</pre>
</li>
</ul>
<a name="getTabSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTabSize</h4>
<pre>public&nbsp;int&nbsp;getTabSize()</pre>
</li>
</ul>
<a name="ExpandBuff(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ExpandBuff</h4>
<pre>protected&nbsp;void&nbsp;ExpandBuff(boolean&nbsp;wrapAround)</pre>
</li>
</ul>
<a name="FillBuff()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FillBuff</h4>
<pre>protected&nbsp;void&nbsp;FillBuff()
                 throws java.io.IOException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="BeginToken()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BeginToken</h4>
<pre>public&nbsp;char&nbsp;BeginToken()
                throws java.io.IOException</pre>
<div class="block">Start.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="readChar()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readChar</h4>
<pre>public&nbsp;char&nbsp;readChar()
              throws java.io.IOException</pre>
<div class="block">Read a character.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="getColumn()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColumn</h4>
<pre>@Deprecated
public&nbsp;int&nbsp;getColumn()</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;</div>
</li>
</ul>
<a name="getLine()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLine</h4>
<pre>@Deprecated
public&nbsp;int&nbsp;getLine()</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;</div>
</li>
</ul>
<a name="getEndColumn()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEndColumn</h4>
<pre>public&nbsp;int&nbsp;getEndColumn()</pre>
<div class="block">Get token end column number.</div>
</li>
</ul>
<a name="getEndLine()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEndLine</h4>
<pre>public&nbsp;int&nbsp;getEndLine()</pre>
<div class="block">Get token end line number.</div>
</li>
</ul>
<a name="getBeginColumn()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBeginColumn</h4>
<pre>public&nbsp;int&nbsp;getBeginColumn()</pre>
<div class="block">Get token beginning column number.</div>
</li>
</ul>
<a name="getBeginLine()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBeginLine</h4>
<pre>public&nbsp;int&nbsp;getBeginLine()</pre>
<div class="block">Get token beginning line number.</div>
</li>
</ul>
<a name="backup(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>backup</h4>
<pre>public&nbsp;void&nbsp;backup(int&nbsp;amount)</pre>
<div class="block">Backup a number of characters.</div>
</li>
</ul>
<a name="ReInit(java.io.Reader, int, int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(java.io.Reader&nbsp;dstream,
          int&nbsp;startline,
          int&nbsp;startcolumn,
          int&nbsp;buffersize)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="ReInit(java.io.Reader, int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(java.io.Reader&nbsp;dstream,
          int&nbsp;startline,
          int&nbsp;startcolumn)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="ReInit(java.io.Reader)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(java.io.Reader&nbsp;dstream)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="ReInit(java.io.InputStream, java.lang.String, int, int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(java.io.InputStream&nbsp;dstream,
          java.lang.String&nbsp;encoding,
          int&nbsp;startline,
          int&nbsp;startcolumn,
          int&nbsp;buffersize)
            throws java.io.UnsupportedEncodingException</pre>
<div class="block">Reinitialise.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.UnsupportedEncodingException</code></dd></dl>
</li>
</ul>
<a name="ReInit(java.io.InputStream, int, int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(java.io.InputStream&nbsp;dstream,
          int&nbsp;startline,
          int&nbsp;startcolumn,
          int&nbsp;buffersize)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="ReInit(java.io.InputStream, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(java.io.InputStream&nbsp;dstream,
          java.lang.String&nbsp;encoding)
            throws java.io.UnsupportedEncodingException</pre>
<div class="block">Reinitialise.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.UnsupportedEncodingException</code></dd></dl>
</li>
</ul>
<a name="ReInit(java.io.InputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(java.io.InputStream&nbsp;dstream)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="ReInit(java.io.InputStream, java.lang.String, int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(java.io.InputStream&nbsp;dstream,
          java.lang.String&nbsp;encoding,
          int&nbsp;startline,
          int&nbsp;startcolumn)
            throws java.io.UnsupportedEncodingException</pre>
<div class="block">Reinitialise.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.io.UnsupportedEncodingException</code></dd></dl>
</li>
</ul>
<a name="ReInit(java.io.InputStream, int, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(java.io.InputStream&nbsp;dstream,
          int&nbsp;startline,
          int&nbsp;startcolumn)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="GetImage()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GetImage</h4>
<pre>public&nbsp;java.lang.String&nbsp;GetImage()</pre>
<div class="block">Get token literal value.</div>
</li>
</ul>
<a name="GetSuffix(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GetSuffix</h4>
<pre>public&nbsp;char[]&nbsp;GetSuffix(int&nbsp;len)</pre>
<div class="block">Get the suffix.</div>
</li>
</ul>
<a name="Done()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Done</h4>
<pre>public&nbsp;void&nbsp;Done()</pre>
<div class="block">Reset buffer when finished.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SimpleCharStream.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleNode.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" target="_top">Frames</a></li>
<li><a href="SimpleCharStream.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
